Subject: bug#60607: Making dvi target do nothing

From: Nick Bowler <[email-masked]>
Date: Sat, 7 Jan 2023 02:46:09 -0500

On 2023-01-06, Reuben Thomas via Bug reports for Automake
<[email-masked]> wrote:
> I'm using automake 1.16.5. The advice about how to disable the "dvi"
> target doesn't seem to work.
>
> In the manual it says:
>
>    To make ‘dvi’ into a do-nothing target, see the example for
> ‘EMPTY_AUTOMAKE_TARGETS’ in *note Third-Party Makefiles::.
>
> If I have:
>
> EMPTY_AUTOMAKE_TARGETS = dvi
> .PHONY: $(EMPTY_AUTOMAKE_TARGETS)
> $(EMPTY_AUTOMAKE_TARGETS):
>
> in my Makefile.am, then "TEXI2DVI" is still run by "make distcheck".

This example in the manual is talking about writing a custom
Makefile, *without* using Automake, that you want to recurse
into using Automake's SUBDIRS feature.

> If I instead have:
> dvi:
> then it is not.

This is right way to override the dvi target that would
otherwise be generated by Automake.

Cheers,
  Nick